import request from '@/utils/request'

// 查询药品出库记录列表
export function listDrugout(query) {
  return request({
    url: '/pasd-healthcare/drugout/list',
    method: 'get',
    params: query
  })
}

// 查询药品出库记录详细
export function getDrugout(id) {
  return request({
    url: '/pasd-healthcare/drugout/' + id,
    method: 'get'
  })
}

// 新增药品出库记录
export function addDrugout(data) {
  return request({
    url: '/pasd-healthcare/drugout',
    method: 'post',
    data: data
  })
}

// 保存药品出库记录
export function saveDrugout(data) {
  return request({
    url: '/pasd-healthcare/drugout/save',
    method: 'post',
    data: data
  })
}

// 修改药品出库记录
export function updateDrugout(data) {
  return request({
    url: '/pasd-healthcare/drugout',
    method: 'put',
    data: data
  })
}

// 删除药品出库记录
export function delDrugout(id) {
  return request({
    url: '/pasd-healthcare/drugout/' + id,
    method: 'delete'
  })
}
